package etc

type ExtraConfig struct {
	Nacos NacosConf
	Mq    RockerMqConfig
}

type NacosConf struct {
	Hosts       []string
	NameSpace   string
	TimeOut     uint64
	ServiceName string
}

type RockerMqConfig struct {
	Host          []string
	GroupName     string
	TopicPrefix   string
	AccessKey     string
	SecretKey     string
	SecurityToken string

	Topic TopicList
}

type TopicList struct {
	Market TopicConfig
	ZLTX   TopicConfig
	RS     TopicConfig
}

type TopicConfig struct {
	Name string
}
