package logic

import (
	"context"
	"github.com/zeromicro/go-zero/core/logx"
	"trasfer_middleware/cmd/rpc/internal/svc"
)

type GetResellerByAppIdLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewGetResellerByAppIdLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetResellerByAppIdLogic {
	return &GetResellerByAppIdLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}
